//
//  MovieWrapper.h
//  CocoaQuicktime
//
//  Created by fred on Wed Oct 18 2000.
//  Copyright (c) 2000 __CompanyName__. All rights reserved.
//

#import <AppKit/AppKit.h>

//	Because we have a Movie as ivar
#import <Carbon/Carbon.h>
#import <QuickTime/Movies.h>

@interface MovieWrapper : NSObject
{	Movie itsMovie;	//	The quicktime movie
	short itsMovieResFile;
}

//	Designated init
- initWithMovie:(Movie)aMovie;

//	Other inits
- initFromFSSpec:(FSSpec)aFSSpec;
- initFromPath:(NSString *)aPath;

//	One-liner creation method
+ (MovieWrapper *)movieWrapperFromPath:(NSString *)aPath;

//	Duration of the movie (a TimeValue is a basically a long)
- (TimeValue)duration;

//	Return a new NSImage with the frame at aTimeValue
- (NSImage *)imageAtTimeValue:(TimeValue)aTimeValue;

@end

//	Uefull category on NSString when dealing with Carbon
@interface NSString(Carbon_Additions)
//	Return the FSSpec corresponding to the string interpreted as a apth
-(FSSpec)fsSpec;
@end

